Subject: Re: Netfilter: kernel panic with REDIRECT target. (2.6.23 and 2.6.23.8)

From: David <[email-masked]>
Date: Sun, 18 Nov 2007 19:34:56 +0000

Ismail Dönmez wrote:
> Sunday 18 November 2007 Tarihinde 21:00:12 yazmıştı:
>   
>> I'm (very) far from being firewall configuration expert, but I'm seeing
>> a consistent kernel panic when the following rule is triggered.
>>
>>     iptables -t nat -A PREROUTING -j REDIRECT -i eth2 -p udp --dport
>> 5061 --to-ports 5060
>>
>> (I'm trying to redirect an alternate port to a SIP server)
>>
>> Am I just being very stupid, or is there something I'm not seeing here?
>>     
>
> Also post the kernel panic log.
>   
This is a bit difficult since the server is headless (normally). I can
try to obtain the panic via a temporary console, but it may have to wait
for a day or two.

David